#
# spec file for package e2fsprogs (Version 1.40.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libvolume_id libvolume_id-devel libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib

Name:           e2fsprogs
# This breaks make check and changes the Makefiles at other places too,
# do not use for production builds until it's carefully reviewed:
%define no_command_hiding 0
BuildRequires:  libvolume_id-devel
License:        GPL v2 or later
Group:          System/Filesystems
Supplements:    filesystem(ext2) filesystem(ext3)
PreReq:         %install_info_prereq
AutoReqProv:    on
Version:        1.40.2
Release:        20.2
Summary:        Utilities for the Second Extended File System
Url:            http://e2fsprogs.sourceforge.net
Source:         %{name}-%{version}.tar.bz2
Source1:        de.po
Source2:        README.SUSE
Patch0:         elf.diff
Patch1:         %{name}-1.35-libdir.diff
Patch2:         %{name}-1.33-fsckdevdisplay.diff
Patch3:         %{name}-1.33-codecleanup.diff
Patch4:         e2fsprogs-blkid.diff
Patch6:         e2fsprogs-mdraid.patch
Patch7:         e2fsprogs-probe_reiserfs-fpe.patch
Patch8:         e2fsprogs-base_devt.patch
Patch9:         e2fsprogs-libvolume_id-support.patch
Patch10:        close.patch
Patch11:        fsck-ignore-mounted.patch
Patch12:        e2fsprogs-mkinstalldirs.patch
Patch13:        e2fsprogs-special_make_targets.patch
Patch15:        e2fsprogs-1.39-uuid_duplicates.patch
Patch16:        e2fsprogs-1.39-resize2fs_manpage.patch
Patch17:        e2fsprogs-strncat.patch
Patch20:        e2fsprogs-blkid_probe_hfsplus.patch
Patch21:        e2fsprogs-uninitialized.diff
Patch22:        e2fsprogs-1.40-be_swap_fix.patch
Patch23:        e2fsprogs-VUL0_integer_overflow.patch
# libcom_err patches
Patch30:        libcom_err-no-static-buffer.patch
Patch31:        libcom_err-no-init_error_table.patch
Patch32:        libcom_err-no-e2fsck.static.patch
Patch33:        libcom_err-mutex.patch
Patch34:        libcom_err-compile_et_permissions.patch
# Do not suppress make commands
Patch99:        e2fsprogs-no_cmd_hiding.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libext2fs2 = %{version} libcom_err2 = %{version} libuuid1 = %{version} libblkid1 = %{version}

%description
Utilities needed to create and maintain ext2 and ext3 file systems
under Linux. Included in this package are: chattr, lsattr, mke2fs,
mklost+found, tune2fs, e2fsck, resize2fs, and badblocks.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%debug_package
%package devel
Summary:        Dummy development package
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       libext2fs-devel = %version libblkid-devel = %version libuuid-devel = %version

%description devel
Dummy development package for backwards compatibility.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package -n libext2fs2
Summary:        Ext2fs libray
Group:          System/Filesystems
AutoReqProv:    on

%description -n libext2fs2
The basic Ext2fs library.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package -n libext2fs-devel
Summary:        Development files for libext2fs
Group:          System/Filesystems
AutoReqProv:    on
Requires:       libext2fs2 = %version libcom_err-devel

%description -n libext2fs-devel
Development files for libext2fs.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package -n libcom_err2
Summary:        E2fsprogs error reporting library
Group:          System/Filesystems
Provides:       libcom_err = %{version}
Obsoletes:      libcom_err < %{version}
AutoReqProv:    on

%description -n libcom_err2
com_err is an error message display library.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package -n libcom_err-devel
Summary:        Development files for libcom_err
Group:          System/Filesystems
AutoReqProv:    on
Requires:       libcom_err2 = %version

%description -n libcom_err-devel
Development files for the com_err error message display library.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package -n libblkid1
Summary:        Filesystem detection library
Group:          System/Filesystems
AutoReqProv:    on

%description -n libblkid1
Library for filesystem detection.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package -n libblkid-devel
Summary:        Development files for the filesystem detection library
Group:          System/Filesystems
AutoReqProv:    on
Requires:       libblkid1 = %version libuuid-devel

%description -n libblkid-devel
Files needed to develop applications using the library for filesystem
detection.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package -n libuuid1
Summary:        Library to generate UUIDs
Group:          System/Filesystems
AutoReqProv:    on

%description -n libuuid1
A library to generate universally unique IDs (UUIDs).



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package -n libuuid-devel
Summary:        Development files for libuuid1
Group:          System/Filesystems
AutoReqProv:    on
Requires:       libuuid1 = %version

%description -n libuuid-devel
Files to develop applications using the library to generate universally
unique IDs (UUIDs).



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%prep
%setup -q
# e2fsprogs patches
%patch0
%patch1
%patch2
%patch3
%patch4
%patch6
%patch7
%patch8 -p1
%patch9 -p0
%patch10 -p1
%patch11
%patch12
%patch15 -p1
%patch16
%patch17 -p1
%patch20 -p1
%patch21
%patch22 -p1
%patch23 -p1
# libcom_err patches
%patch30 -p1
%patch31 -p1 
%patch32 -p1
%patch33 -p1
%patch34 -p1
%if %{no_command_hiding}
%patch99
%endif
cp %{S:1} po
cp %{SOURCE2} .

%build
%{?suse_update_config:%{suse_update_config -f}}
rm aclocal.m4
rm -f po/Makefile.in
gettextize --copy --force --intl
autoreconf --force --install
%if %{suse_version} > 1010
patch -p0 -i %{P:13}
%endif
./configure --enable-dynamic-e2fsck				\
	--prefix=%{_prefix} --with-root-prefix='' 		\
	--mandir=%{_mandir} --infodir=%{_infodir} --libdir=%{_libdir} \
	--enable-elf-shlibs \
	--disable-evms \
        --with-ldopts=-pthread \
        CFLAGS="$RPM_OPT_FLAGS -fsigned-char"
make

%install
rm -rf $RPM_BUILD_ROOT
make install install-libs DESTDIR=$RPM_BUILD_ROOT lib=%{_lib} 
%{find_lang} %{name}
rm $RPM_BUILD_ROOT%{_libdir}/e2initrd_helper

%check
%if !%{no_command_hiding}
# always run make check when e2fsprogs-no_cmd_hiding.patch is fixed!
make check
make gcc-wall
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/libext2fs.info.gz

%postun
/sbin/ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/libext2fs.info.gz

%post -n libext2fs2
/sbin/ldconfig

%postun -n libext2fs2
/sbin/ldconfig

%post -n libcom_err2
/sbin/ldconfig

%postun -n libcom_err2
/sbin/ldconfig

%post -n libblkid1
/sbin/ldconfig

%postun -n libblkid1
/sbin/ldconfig

%post -n libuuid1
/sbin/ldconfig

%postun -n libuuid1 
/sbin/ldconfig
# e2fsprogs

%files -f %{name}.lang
%defattr(-, root, root)
%doc RELEASE-NOTES README doc/libblkid.txt
%config /etc/mke2fs.conf
/sbin/badblocks
/sbin/debugfs
/sbin/dumpe2fs
/sbin/e2fsck
/sbin/e2label
/sbin/fsck
/sbin/fsck.ext2
/sbin/fsck.ext3
/sbin/mke2fs
/sbin/mkfs.ext2
/sbin/mkfs.ext3
/sbin/resize2fs
/sbin/tune2fs
/sbin/e2image
/sbin/logsave
/sbin/blkid
/sbin/findfs
/usr/bin/chattr
/usr/bin/lsattr
/usr/bin/uuidgen
/usr/sbin/mklost+found
/usr/sbin/filefrag
%{_infodir}/libext2fs.info.gz
%{_mandir}/man1/chattr.1.gz
%{_mandir}/man1/lsattr.1.gz
%{_mandir}/man1/uuidgen.1.gz
%{_mandir}/man5/e2fsck.conf.5.gz
%{_mandir}/man5/mke2fs.conf.5.gz
%{_mandir}/man8/*.8.gz
# dummy devel package

%files devel
%defattr(-,root,root)
%doc README.SUSE
# libblkid

%files -n libblkid1
%defattr(-, root, root)
/%{_lib}/libblkid.so.*

%files -n libblkid-devel
%defattr(-, root, root)
%{_libdir}/libblkid.a
%{_libdir}/libblkid.so
/usr/include/blkid
%_libdir/pkgconfig/blkid.pc
%{_mandir}/man3/libblkid.3.gz
# libuuid

%files -n libuuid1
%defattr(-, root, root)
/%{_lib}/libuuid.so.*

%files -n libuuid-devel
%defattr(-, root, root)
%{_libdir}/libuuid.a
%{_libdir}/libuuid.so
/usr/include/uuid
%_libdir/pkgconfig/uuid.pc
%{_mandir}/man3/uuid*
# libext2fs

%files -n libext2fs2
%defattr(-, root, root)
/%{_lib}/libext2fs.so.*
/%{_lib}/libe2p.so.*

%files -n libext2fs-devel
%defattr(-, root, root)
%{_libdir}/libext2fs.so
%{_libdir}/libext2fs.a
%{_libdir}/libe2p.a
%{_libdir}/libe2p.so
/usr/include/ext2fs
/usr/include/e2p
%_libdir/pkgconfig/e2p.pc
%_libdir/pkgconfig/ext2fs.pc
# libcom_err

%files -n libcom_err2
%defattr(-, root, root)
/%{_lib}/libcom_err.so.*
/%{_lib}/libss.so.*
%_datadir/et
%_datadir/ss

%files -n libcom_err-devel
%defattr(-, root, root)
%_bindir/compile_et
%_bindir/mk_cmds
%{_libdir}/libcom_err.so
%{_libdir}/libcom_err.a
%{_libdir}/libss.a
%{_libdir}/libss.so
%_libdir/pkgconfig/com_err.pc
%_libdir/pkgconfig/ss.pc
%_includedir/et
%_includedir/ss
%{_mandir}/man1/compile_et.1.gz
%{_mandir}/man1/mk_cmds.1.gz
%{_mandir}/man3/com_err.3.gz

%changelog
* Fri Nov 23 2007 - mkoenig@suse.de
- fix integer overflow [#340473]
* Fri Jul 27 2007 - mkoenig@suse.de
- fix typo in specfile
* Thu Jul 26 2007 - mkoenig@suse.de
- Fix big-endian byte-swapping bug in ext2fs_swap_inode_full()
  e2fsprogs-1.40-be_swap_fix.patch
* Wed Jul 25 2007 - bk@suse.de
- e2fsprogs requires libext2fs2 of the same version number to work
- enable make check and make gcc-wall in %%check (executed last)
- shut up bogus gcc warning for use of uninitialised variables
* Wed Jul 25 2007 - mkoenig@suse.de
- remove e2fsprogs-blkid_probe_ext4.patch
  broken and it is way too early to support
* Wed Jul 18 2007 - mkoenig@suse.de
- update to version 1.40.2
  bugfix release
* Mon Jul 09 2007 - mkoenig@suse.de
- update to version 1.40.1:
  * Bugfix release
- removed patch (merged upstream)
  e2fsprogs-1.39-cleanup.patch
* Wed Jul 04 2007 - mkoenig@suse.de
- update to version 1.40
- branch off libraries:
  libblkid1
  libuuid1
  libext2fs2
- renaming libcom_err to libcom_err2
* Tue Jun 19 2007 - mkoenig@suse.de
- fix e2fsprogs-1.39-uuid_duplicates.patch [#189640]
  * detach shm segment after use
  * set SEM_UNDO for semaphore operations, otherwise we do not
  get a clean state after interruption by a signal
* Wed Apr 25 2007 - pth@suse.de
- Fix German translations.
* Wed Apr 11 2007 - mkoenig@suse.de
- blkid: fix hfsplus probing to detect HFS+ volumes embedded
  in a HFS volume
* Wed Apr 04 2007 - mkoenig@suse.de
- add Supplements line [FATE#301966]
* Fri Mar 30 2007 - mkoenig@suse.de
- update to current hg version from 29-03-2007
  * Fixes a lot of memory leaks and other bugs
- remove merged patch:
  e2fsprogs-1.39-check_fs_open-in-dump_unused.patch
* Wed Mar 28 2007 - mkoenig@suse.de
- blkid: add hfsplus volume detection (FATE#302071)
- blkid: add experimental detection of ext4dev (FATE#301897)
* Thu Jan 25 2007 - mkoenig@suse.de
- fix segfault in debugfs when using without open fs [#238140]
* Mon Jan 22 2007 - mkoenig@suse.de
- don't chmod -w headers in compile_et to avoid build
  problems with some packages
* Fri Jan 19 2007 - mkoenig@suse.de
- update to version 1.40-WIP-1114 (FATE#301897)
  * support for ext4
  * several bugfixes
- remove ext2resize from package, because the online resizing
  functionality has been merged into resize2fs since version 1.39
  and ext2resize is unmaintained.
* Tue Dec 19 2006 - meissner@suse.de
- fixed build
* Wed Nov 08 2006 - ro@suse.de
- provide libcom_err-devel in libcom_err
* Thu Oct 19 2006 - mkoenig@suse.de
- fix bug in uuid patch
* Mon Oct 16 2006 - mkoenig@suse.de
- fix build of shared lib
* Thu Oct 12 2006 - mkoenig@suse.de
- fix uuid bug [#189640]
- fix blkid problem with empty FAT labels [#211110]
- fix small typo in resize2fs man page
* Tue Sep 26 2006 - mkoenig@suse.de
- fix bug in fsck udev/libvolume_id patch [#205671]
* Wed Sep 20 2006 - mkoenig@suse.de
- update to version 1.39:
  * Fix 32-bit cleanliness
  * Change mke2fs to use /etc/mke2fs.conf
  * Mke2fs will now create filesystems hash trees and
  on-line resizing enabled by default
  * The e2fsprogs tools (resize2fs, e2fsck, mke2fs) will open the
  filesystem device node in exclusive mode
  * Add support for on-line resizing to resize2fs.
  * The blkid library will now store the UUID of the external
  journal used by ext3 filesystems
  * E2fsck will now consult a configuration file, /etc/e2fsck.conf
  * E2fsck will detect if the superblock's last mount field or
  last write field is in the future, and offer to fix if so.
  * E2fsck now checks to see if the superblock hint for the
  location of the external journal is incorrect
  * Resize2fs will now automatically determine the RAID stride
  parameter that had been used to create the filesystem
  * Fix mke2fs so that it correctly creates external journals on
  big-endian machines
  * Fix a bug in the e2p library
  * Add a new debugfs command, set_current_time
  * Fix debugfs commands
  * Fix mklost+found so that it creates a full-sized directory on
  filesystems with larger block sizes.
  * Fix a file descriptor leak in blkid library
  * Allow fractional percentages to the -m option in mke2fs and tune2fs
  * Add support for device mapper library to the blkid library
  * Fix the blkid library so that it notices when an ext2 filesystem
  is upgraded to ext3.
  * Improve the blkid's library VFAT/FAT detectio
  * Add support for the reiser4 and software suspend partitions
  to the blkid library.
- update ext2resize to version 1.1.19:
  * Add support for ext3 online resizing
  * Support LARGEFILE compat flag
  * Make the resize inode part of the fs struct
  * Add the FL_IOCTL flag
  * Bugfixes
* Fri Aug 11 2006 - pth@suse.de
- Fix to comply with gettex 0.15.
- Move ext2resize sources to toplevel directory.
- Fix use of MKINSTALLDIRS.
* Fri Aug 04 2006 - kay.sievers@suse.de
- update libvolume_id integration to match util-linux
* Fri Jun 16 2006 - ro@suse.de
- added libvolume_id-devel to BuildRequires
- updated e2fsprogs-udev.patch to match header rename
* Wed Feb 08 2006 - hare@suse.de
- Fix fsck -m (#146606) to really check filesystems.
* Mon Jan 30 2006 - hvogel@suse.de
- Document -I inode-size [#145445]
* Sun Jan 29 2006 - hvogel@suse.de
- fix hares patch
* Fri Jan 27 2006 - hare@suse.de
- Add option to not return an error code for mounted
  filesystems (#145400).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - hvogel@suse.de
- Support ext2/ext3 online resize
* Mon Dec 12 2005 - hvogel@suse.de
- remove lib/et/test_cases/imap_err* from the tarball because
  they are not distributeable.
* Tue Dec 06 2005 - pth@suse.de
- remove unnecessary type-punning
- reduce compiler warnings
* Tue Nov 15 2005 - jblunck@suse.de
- added close.patch provided by Ted Tso (IBM) to fix bug #132708
* Mon Nov 14 2005 - hare@suse.de
- Use devt when comparing devices
- fsck: Use information provided by udev for detecting devices
* Wed Oct 05 2005 - hvogel@suse.de
- fix too few arguments to a *printf function
- require libcom_err on e2fsprogs-devel
* Fri Sep 09 2005 - hvogel@suse.de
- add gross hack to avoid divide by zero in probe_reiserfs
  [#115827]
* Mon Aug 08 2005 - hvogel@suse.de
- added environment variable BLKID_SKIP_CHECK_MDRAID to work around
  broken software raid detection [Bug #100530]
* Tue Jul 05 2005 - hvogel@suse.de
- update to version 1.38
- mt reworked his patches a bit. See Bug #66534
* Thu Jun 23 2005 - hvogel@suse.de
- call ldconfig in post/postun
- add version to devel package dependencie
- readd missing patch (7)
* Thu Apr 28 2005 - hvogel@suse.de
- update to version 1.37
- mt reworked one libcom_err patch a bit to provide more
  meaningfull error handling
- fix retuen value in inode.c
* Thu Mar 31 2005 - hvogel@suse.de
- split libcom_err to a subpackage
- add mutex synchronization to e2fsprogs/lib/et
- removed usage of a static buffer in error_message()
- disabled init_error_table function
- disabled build of unused e2fsck.static
* Fri Mar 18 2005 - hvogel@suse.de
- fix endian unsafeness in getopt (#73855)
* Tue Feb 08 2005 - hvogel@suse.de
- Update to 1.36 final
* Tue Aug 10 2004 - pth@suse.de
- Update to 1.35 RC5
* Wed Mar 17 2004 - pth@suse.de
- Don't build the EVMS plugin because it's out of date for
  EVMS in kernel 2.6.
* Thu Mar 04 2004 - pth@suse.de
- Add patch from Olaf Hering that makes fsck read a different
  blkid file via BLKID_FILE environment var (#35156)
* Thu Feb 19 2004 - kukuk@suse.de
- Remove obsolete recode call
* Mon Jan 12 2004 - ro@suse.de
- removed run_ldconfig again
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Oct 02 2003 - pthomas@suse.de
- Add patch from Kurt Garloff to make e2fsprogs compile
  with latest kernel headers (SCSI_BLK_MAJOR undefined).
* Mon Sep 15 2003 - pthomas@suse.de
- Fix czech message catalog which has been transformed twice
  from latin2 to utf-8 and add an iconv call to the spec file
  that will make building fail if the file is corrected upstream.
* Sat Aug 30 2003 - agruen@suse.de
- Fix an endianness bug in ext2fs_swap_inode: Fast symlinks that
  have extended attributes are acidentally byte swapped on
  big-endian machines.
* Fri Aug 01 2003 - pthomas@suse.de
- Apply patch from Ted T'so for badblocks.
* Thu Jul 31 2003 - pthomas@suse.de
- Update to 1.34.
- Various fixes to libcom_err to make it really compatible
  to the heimdal version.
- Fix int<->pointer casts.
- Fix places that may break strict aliasing.
* Fri Jun 20 2003 - ro@suse.de
- added directory to filelist
* Wed May 14 2003 - pthomas@suse.de
- Use %%defattr
- Include all installed files.
* Tue Apr 29 2003 - mfabian@suse.de
- add libblkid.so* and libblkid.a to file lists
* Thu Apr 24 2003 - pthomas@suse.de
- Update to 1.33 and adapt patches.
- Add missing headers where necessary.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Tue Oct 01 2002 - garloff@suse.de
- Fix segfault in display of real device in presence of volume
  name. #20422
* Tue Sep 03 2002 - mls@suse.de
- remove duplicate evms scan (already included in 1.28)
- fix volume group scan bug
* Mon Sep 02 2002 - agruen@suse.de
- Update to 1.28. Includes very minor fixes in htree, which we have
  disabled anyway, one fix that we had in a separate patch, and
  has additional release notes.
* Mon Aug 19 2002 - agruen@suse.de
- Update to 1.28-WIP-0817, which includes Extended Attribute
  and several smaller fixes. We disable htree support and don't
  install the evms library for now.
- Remove `make gcc-wall' for now (as it does a `make clean' in
  doc/).
* Thu Aug 15 2002 - mls@suse.de
- support jfs, reiserfs, evms in label/uuid scan (code stolen
  from util-linux:mount)
* Sun Jul 28 2002 - kukuk@suse.de
- Remove unused tetex from neededforbuild
* Fri Jul 19 2002 - olh@suse.de
- use a better method for finding missed filelist entries
* Fri Apr 12 2002 - sf@suse.de
- added %%{_libdir}
- added fix for lib/lib64
* Thu Mar 28 2002 - bk@suse.de
- fix man pages, filelist and add check for missing files in packs
* Wed Mar 27 2002 - bk@suse.de
- Update to 1.27, fixes resource limit problem for other archs and
  merges many patches
* Thu Mar 07 2002 - pthomas@suse.de
- Add patch from Ted T'so to keep e2fsck from dumping
  core when the journal inode is missing.
* Mon Mar 04 2002 - pthomas@suse.de
- Fix implicit function declarations and some other gcc warnings.
- Include patch from Kurt Garloff to make e2fsck display the
  device name in addition to the volume label. Adapt it to 1.26.
- Adapt BSD_disklables.diff to new code.
- Set LC_CTYPE in addition to LC_MESSAGES.
- Repack with bzip2.
* Fri Mar 01 2002 - bk@suse.de
- Update to 1.26. This release has a number of critical bug
  fixes over the previous release, version 1.25:
* Fri Feb 15 2002 - pthomas@suse.de
- Use %%{_lib} and %%{_libdir}.
* Wed Feb 13 2002 - pthomas@suse.de
- Make heimdal-devel conflict e2fsprogs-devel.
  Temporary solution for bug #13145
* Thu Dec 13 2001 - pthomas@suse.de
- Add mkfs.ext2.8 because mkfs.8 from util-linux references it.
  Fixes bug #12613.
* Fri Nov 23 2001 - pthomas@suse.de
- Add accidently left out e2image to file list. Fixes bug
  [#12009]
* Wed Oct 31 2001 - ro@suse.de
- fix for axp: should malloc buffer _before_ use
* Wed Oct 10 2001 - pthomas@suse.de
- Update to 1.25.
- Remove patches not needed anymore.
- Change mke2fs to output warnings to stderr not stdout.
- Repack as bz2.
* Mon Sep 24 2001 - olh@suse.de
- replace ext2fs_d
* Fri Sep 21 2001 - pthomas@suse.de
- Add patch for mke2fs from 1.25 as that bug seems to be the
  reason for the mk_initrd warning.
* Wed Sep 12 2001 - pthomas@suse.de
- Update to 1.24a:
  - Fix brown-paper bug in mke2fs which caused it to segfault.
  - Revert the BLKGETSIZE64 support as this ioctl has been used
  by an unofficial kernel patch to update the last sector on
  the disk, and this was causing disk corruption problems as a
  result.
  - Mke2fs is now more careful about zapping swap space signatures
  and other filesystem/raid superblock magic values so.
  - E2fsck will no longer complain if the the mode of
  EXT2_RESIZE_INO is a regular file
  - mke2fs and tune2fs will allow the use of UUID= or LABEL=
  specifiers when specifying the external journal device.
  tune2fs will also search devices looking for the external
  journal device when removing.
* Fri Aug 17 2001 - ro@suse.de
- update to 1.23 to enable external journals on ext3
* Wed Aug 15 2001 - pthomas@suse.de
- Update to 1.22.
- Drop fsck Patch as code changed.
- Use LD_LIBRARY_PATH to run test programs.
* Fri Jun 08 2001 - pthomas@suse.de
- Remove incorrect use of AC_REQUIRE (fails with autoconf 2.5)
- Recompress tarball with bzip2.
* Thu Jan 18 2001 - schwab@suse.de
- Add Obsoletes: ext2fs_d and Requires: e2fsprogs to devel
  subpackage.
* Mon Nov 06 2000 - pthomas@suse.de
- use _mandir and _infodir more consistently in spec file.
* Sun Nov 05 2000 - ro@suse.de
- renamed packages to e2fsprogs/e2fsprogs-devel
* Fri Jun 09 2000 - kasal@suse.cz
- Build dynamic libraries.  Partition Surprise requires them.
- Make /usr/lib/*.so symlinks relative.
* Thu Mar 23 2000 - kukuk@suse.de
- Don't erase BSD labels on Alpha
- Add Y2K fix to debugfs
* Wed Mar 22 2000 - kukuk@suse.de
- Fix ifdefs for gcc 2.95.2
* Tue Feb 22 2000 - garloff@suse.de
- Bugfix for the change ...
- ... and change version no of fsck to 1.18a to reflect the change.
* Sun Feb 20 2000 - garloff@suse.de
- Patch to be more clever WRT to basenames (used to find out wheter
  a fsck for this device is already running).
- Give better message in case fsck fails, to tell the user what to
  do. (e2fsck only displays the label, nowadays :-( )
* Thu Feb 10 2000 - kukuk@suse.de
- Use autoconf to create new configure
* Wed Jan 19 2000 - ro@suse.de
- man,info -> /usr/share
* Mon Jan 17 2000 - ro@suse.de
- fixed to build on kernels >= 2.3.39
* Sat Nov 13 1999 - kukuk@suse.de
- Update to e2fsprogs 1.18
- Create new sub-package ext2fs_d which includes libs and headers
* Mon Nov 08 1999 - ro@suse.de
-fixed coredump in e2fsck
* Fri Oct 29 1999 - ro@suse.de
-e2fsprogs: 1.17 vital bugfix in e2fsck
* Sun Oct 24 1999 - ro@suse.de
- e2fsprogs: update to 1.16, sparse_super is default on when
  called on a > 2.2 kernel, can be overridden with -O none
* Fri Oct 15 1999 - garloff@suse.de
- Disabled flushb again. (Moved to ddrescue.)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - ro@suse.de
- mke2fs: sparse superblocks default back to "off"
* Tue Aug 31 1999 - ro@suse.de
- update to 1.15
- cleanup diff and specfile
* Sun Jul 18 1999 - garloff@suse.de
- Enabled flushb compilation
* Sat Jun 26 1999 - kukuk@suse.de
- Add fix for fsck core dump from beta list
* Tue Mar 16 1999 - ro@suse.de
- fixed configure call
* Fri Mar 12 1999 - ro@suse.de
- update to 1.14
* Thu Oct 29 1998 - ro@suse.de
- respect change in 2.1.126 SCSI_DISK_MAJOR
* Tue Sep 01 1998 - ro@suse.de
- update to 1.12
* Sat Apr 26 1997 - florian@suse.de
- update to new version 1.10
* Sun Apr 13 1997 - florian@suse.de
- update to new version 1.08
- do not include ext2 libs and include files as they are only used by dump
* Thu Jan 02 1997 - florian@suse.de
- update to new version 1.06
* Thu Jan 02 1997 - florian@suse.de
- update to newer version
- use now static libs instead of 4 small shared libs
* Thu Jan 02 1997 - florian@suse.de
  update to version 1.0.4
